WPSListener Class Reference documentation

Public Member Functions | List of all members
WPSListener Class Referenceabstract

virtual class for content listener More...

`#include <WPSListener.h>`

Inheritance diagram for WPSListener:

## Public Member Functions
| WPSListener ()
virtual | ~WPSListener ()
virtual void | setDocumentLanguage (int lcid)=0
virtual void | insertCharacter (uint8_t character)=0
| adds a basic character, .. More...
virtual void | insertUnicode (uint32_t character)=0
| adds an unicode character More...
virtual void | insertUnicodeString (librevenge::RVNGString const &str)=0
| adds a unicode string More...
virtual void | insertTab ()=0
| adds an unicode character to a string ( with correct encoding ). More...
virtual void | insertEOL (bool softBreak=false)=0
virtual void | insertBreak (const uint8_t breakType)=0
virtual void | setFont (const WPSFont &font)=0
| set the actual font More...
virtual WPSFont const & | getFont () const =0
| returns the actual font More...
virtual bool | isParagraphOpened () const =0
| returns true if a paragraph or a list is opened More...
virtual void | setParagraph (const WPSParagraph &para)=0
| sets the actual paragraph More...
virtual WPSParagraph const & | getParagraph () const =0
| returns the actual paragraph More...
virtual bool | openGroup (WPSPosition const &pos)=0
| open a group More...
virtual void | closeGroup ()=0
| close a group More...
virtual void | insertField (WPSField const &field)=0
| adds a field More...

## Detailed Description

virtual class for content listener

## Constructor & Destructor Documentation

## ◆ WPSListener()

WPSListener::WPSListener | ( |  | ) |
| inline

## ◆ ~WPSListener()

virtual WPSListener::~WPSListener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ closeGroup()

virtual void WPSListener::closeGroup | ( |  | ) |
| pure virtual

close a group

Implemented in WKSContentListener, and WPSContentListener.

## ◆ getFont()

virtual WPSFont const& WPSListener::getFont | ( |  | ) | const
| pure virtual

returns the actual font

Implemented in WKSContentListener, and WPSContentListener.

## ◆ getParagraph()

virtual WPSParagraph const& WPSListener::getParagraph | ( |  | ) | const
| pure virtual

returns the actual paragraph

Implemented in WKSContentListener, and WPSContentListener.

## ◆ insertBreak()

virtual void WPSListener::insertBreak | ( | const uint8_t | breakType | ) |
| pure virtual

Implemented in WKSContentListener, and WPSContentListener.

## ◆ insertCharacter()

virtual void WPSListener::insertCharacter | ( | uint8_t | character | ) |
| pure virtual

adds a basic character, ..

Implemented in WKSContentListener, and WPSContentListener.

## ◆ insertEOL()

virtual void WPSListener::insertEOL | ( | bool | softBreak = `false` | ) |
| pure virtual

Implemented in WKSContentListener, and WPSContentListener.

## ◆ insertField()

virtual void WPSListener::insertField | ( | WPSField const & | field | ) |
| pure virtual

adds a field

Implemented in WKSContentListener, and WPSContentListener.

## ◆ insertTab()

virtual void WPSListener::insertTab | ( |  | ) |
| pure virtual

adds an unicode character to a string ( with correct encoding ).

Implemented in WKSContentListener, and WPSContentListener.

## ◆ insertUnicode()

virtual void WPSListener::insertUnicode | ( | uint32_t | character | ) |
| pure virtual

adds an unicode character

by convention if character=0xfffd(undef), no character is added

Implemented in WKSContentListener, and WPSContentListener.

## ◆ insertUnicodeString()

virtual void WPSListener::insertUnicodeString | ( | librevenge::RVNGString const & | str | ) |
| pure virtual

adds a unicode string

Implemented in WKSContentListener, and WPSContentListener.

## ◆ isParagraphOpened()

virtual bool WPSListener::isParagraphOpened | ( |  | ) | const
| pure virtual

returns true if a paragraph or a list is opened

Implemented in WKSContentListener, and WPSContentListener.

## ◆ openGroup()

virtual bool WPSListener::openGroup | ( | WPSPosition const & | pos | ) |
| pure virtual

open a group

Implemented in WKSContentListener, and WPSContentListener.

## ◆ setDocumentLanguage()

virtual void WPSListener::setDocumentLanguage | ( | int | lcid | ) |
| pure virtual

Implemented in WKSContentListener, and WPSContentListener.

## ◆ setFont()

virtual void WPSListener::setFont | ( | const WPSFont & | font | ) |
| pure virtual

set the actual font

Implemented in WKSContentListener, and WPSContentListener.

## ◆ setParagraph()

virtual void WPSListener::setParagraph | ( | const WPSParagraph & | para | ) |
| pure virtual

sets the actual paragraph

Implemented in WKSContentListener, and WPSContentListener.

The documentation for this class was generated from the following file:

- WPSListener.h